visit_table (a_table: EDL_TABLE)
	local
		s: STRING
		i: INTEGER
	do
		packages.extend ("tabulary")
		create s.make_empty
		from
			i := 1
		until
			i > a_table.column_count
		loop
			s.append ("J@{\hspace{20pt}}")
			if i /= a_table.column_count and a_table.borders_inside_vertical then
				s.append ("|")
			end
			i := i + 1
		end
		if a_table.borders_outside_vertical then
			s.prepend ("|")
			s.append ("|")
		end
		command_with_argument ("vspace", "10pt")
		append_newline_to_output
		command_with_arguments ("setlength", << "\extrarowheight", "1.5pt" >>)
		append_newline_to_output
		open_environment_with_arguments ("tabulary", << "0.9\textwidth", s >>)
		if a_table.borders_outside_horizontal then
			append_line_to_output (simple_command ("hline"))
		end
	end
