note
	description: "[
		Lists whose items are labeled using consecutive arabic numbers,
		starting with 1.
		]"
	author: "Bernhard Brodowsky, Severin Heiniger and Stefan Heule"
	date: "$Date$"
	revision: "$Revision$"

class
	EDL_ARABIC_LIST

inherit
	EDL_LIST

create
	default_create,
	make_from_item,
	make_from_items,
	make_simple

feature -- Miscellaneous

	accept (a_visitor: EDL_VISITOR)
			-- Accept `a_visitor' and pass it on to the children.
		do
			a_visitor.visit_arabic_list (Current)
			accept_children (a_visitor)
			a_visitor.leave_arabic_list (Current)
		end

end
