cursor_forth (a_cursor: like new_cursor)
	local
		i, nb: INTEGER
		was_off: BOOLEAN
		p: INTEGER
	do
		p := a_cursor.position
		if p = before_position then
			was_off := True
			i := 0
		else
			was_off := False
			i := p + 1
		end
		if not (i >= 1) then
			i := i + 1
		else
			from
				nb := last_position
			until
				i > nb or else clashes_item (i) > free_watermark
			loop
				i := i + 1
			end
		end
		if i > nb then
			a_cursor.set_position (after_position)
			if not was_off then
				remove_traversing_cursor (a_cursor)
			end
		else
			a_cursor.set_position (i)
			if was_off then
				add_traversing_cursor (a_cursor)
			end
		end
	end
