visit_section (a_section: EDL_SECTION)
	local
		s: STRING
	do
		create s.make_empty
		section_nesting_depth := section_nesting_depth + 1
		inspect
			section_nesting_depth
		when 1 then
			s.append ("section")
		when 2 then
			s.append ("subsection")
		when 3 then
			s.append ("subsubsection")
		when 4 then
			s.append ("paragraph")
		when 5 then
			s.append ("subparagraph")
		else
			check
				False
			end
		end
		command_with_argument (s, escape_string (a_section.title))
		increment_indentation
		append_newline_to_output
		if not (((a_section.title).count) = ((escape_string (a_section.title)).count)) then
			append_line_to_output ("\label{" + (context.section_id (a_section) + "}"))
		end
	end
