directory_name: STRING
	local
		last_delimiter_index: INTEGER
	do
		create Result.make_from_string (Current)
		from
			path_delimiters.start
		until
			path_delimiters.after
		loop
			if not (Result.count >= 1) then
				Result.clear_all
			else
				last_delimiter_index := last_delimiter_index.max (Result.last_index_of (path_delimiters.item, Result.count))
			end
			path_delimiters.forth
		end
		if last_delimiter_index > 0 then
			Result.remove_tail (Result.count - last_delimiter_index + 1)
		else
			Result := ""
		end
	end
