note
	description: "[
		Visitors used to check if a document fulfills certain constraints.
		]"
	author: "Bernhard Brodowsky, Severin Heiniger and Stefan Heule"
	date: "$Date$"
	revision: "$Revision$"

deferred class
	EDL_DOCUMENT_CONSTRAINT

inherit
	EDL_VISITOR

feature -- Access

	last_result: BOOLEAN
			-- Has the last document fulfilled the constraint?

feature -- Miscellaneous

	validate (a_document: EDL_DOCUMENT)
			-- Check if `a_document' fulfills the constraint and
			-- set `last_result' accordingly.
		do
			a_document.accept (Current)
		end

end
