class 
	TC__DS_HASH_SET__forth__CMD__S__c0__b0__REC_DS_HASH_SET__forth__TAG_noname__969911348__482046531

inherit
    EQA_SERIALIZED_TEST_SET
	
feature -- Test routine

    generated_test_1
        note
            testing: "AutoTest test case extracted from serialization"
            testing: "DS_HASH_SET.forth"
        do
			initialize_objects

			setup_before_test

				-- Retrieve object information in pre-state.
			if is_pre_state_information_enabled then
				finish_pre_state_calculation
			end

				--Execute the feature under test.
			initialize_objects

			right_before_test

			v_127.forth

			right_after_test


				-- Retrieve object information in post-state.
			if is_post_state_information_enabled then
				post_serialization_cache := ascii_string_as_array (serialized_object (special_from_tuple ([1,v_1,310,v_310,77,v_77,17,v_17,23,v_23,61,v_61,29,v_29,4,v_4,135,v_135,1181,v_1181,127,v_127])))
				finish_post_state_calculation
			end

			cleanup_after_test

        end
                
feature -- Test case information

			v_1: NONE
			v_310: INTEGER_32
			v_77: INTEGER_32
			v_17: INTEGER_32
			v_23: INTEGER_32
			v_61: INTEGER_32
			v_29: INTEGER_32
			v_4: BOOLEAN
			v_135: INTEGER_32
			v_1181: TUPLE
			v_127: DS_HASH_SET [HASHABLE]
	
	initialize_objects
			-- Initialize object used in current test case.
		do
			wipe_out_caches
			v_1 ?= pre_variable_table[1]
			v_310 ?= pre_variable_table[310]
			v_77 ?= pre_variable_table[77]
			v_17 ?= pre_variable_table[17]
			v_23 ?= pre_variable_table[23]
			v_61 ?= pre_variable_table[61]
			v_29 ?= pre_variable_table[29]
			v_4 ?= pre_variable_table[4]
			v_135 ?= pre_variable_table[135]
			v_1181 ?= pre_variable_table[1181]
			v_127 ?= pre_variable_table[127]

		end

	tci_class_name: STRING do Result := "TC__DS_HASH_SET__forth__CMD__S__c0__b0__REC_DS_HASH_SET__forth__TAG_noname__969911348__482046531" end
			-- Name of current class.
			
	tci_class_uuid: STRING do Result := "482046531" end
			-- UUID of current test case.

	tci_class_under_test: STRING do Result := "DS_HASH_SET" end
			-- Name of the class under test.

	tci_feature_under_test: STRING do Result := "forth" end
			-- Name of the feature under test.
			
	tci_pre_object_info: STRING do Result := "NONE;1;INTEGER_32;310;INTEGER_32;77;INTEGER_32;17;INTEGER_32;23;INTEGER_32;61;INTEGER_32;29;BOOLEAN;4;INTEGER_32;135;TUPLE;1181;DS_HASH_SET [HASHABLE];127" end
			-- Information about objects in current test case in pre-state
			-- Format: TYPE_1;position1;TYPE_2;position2;...;TYPE_n;position_n.

	tci_post_object_info: STRING do Result := "NONE;1;INTEGER_32;310;INTEGER_32;77;INTEGER_32;17;INTEGER_32;23;INTEGER_32;61;INTEGER_32;29;BOOLEAN;4;INTEGER_32;135;TUPLE;1181;DS_HASH_SET [HASHABLE];127" end
			-- Information about objects in current test case in post-state
			-- Format: TYPE_1;object_id1;TYPE_2;object_id2;...;TYPE_n;object_id_n.
			
	tci_is_creation: BOOLEAN = False
			-- Is the feature under test a creation feature?

	tci_is_query: BOOLEAN = False
			-- Is the feature under test a query?
	
	tci_is_passing: BOOLEAN = True
			-- Is the test case passing?
	
	tci_exception_code: INTEGER = 0
			-- Exception code. 0 for passing test cases.
	
	tci_breakpoint_index: INTEGER = 0
			-- Breakpoint index where the test case fails.
			
	tci_assertion_tag: STRING do Result := "noname" end
			-- Tag of the violated assertion, if any.
			-- Empty string for passing test cases.
	
	tci_exception_recipient_class: STRING do Result := "DS_HASH_SET" end
			-- Class of the recipient feature of the exception, same as `tci_class_under_test' in passing test cases.
	
	tci_exception_recipient: STRING do Result := "forth" end
			-- Feature of the exception recipient, same as `tci_feature_under_test' in passing test cases.
	
    tci_exception_trace: STRING
			-- Exception trace.
		do
			Result := 
--<exception_trace>
"[

]"
--</exception_trace>
		end

	tci_argument_count: INTEGER = 0
			-- Number of arguments of the feature under test.
	
	tci_operand_table: HASH_TABLE[INTEGER, INTEGER]
			-- key is operand position index (0 means target, 1 means the first argument, 
			-- and argument_count + 1 means the result, if any), value is the variable 
			-- index of that operand.
		do
			if tci_operand_table_cache = Void then
				create tci_operand_table_cache.make (0 + 2)
				tci_operand_table_cache.put (127,0)
			end
			Result := tci_operand_table_cache
		end

feature -- Serialization data

    pre_serialization: ARRAY [NATURAL_8]
            -- Serialized test case data before the transition.
        do
            Result := <<
--<pre_serialization>
21, 0, 0, 0, 7, 81, 0, 16, 5, 56, 0, 12, 0, 3, 65, 78, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 72, 65, 83, 72, 
65, 66, 76, 69, 0, 0, 16, 0, 1, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 84, 85, 80, 76, 69, 0, 0, 0, 0, 1, 32, 0, 0, 0, 0, 0, 0, 
0, 0, 0, 10, 73, 78, 84, 69, 71, 69, 82, 95, 51, 50, 0, 0, 3, 8, 1, 34, 0, 0, 0, 0, 0, 0, 0, 1, 0, 4, 105, 116, 101, 109, 
16, 0, 1, 1, 34, 0, 7, 66, 79, 79, 76, 69, 65, 78, 0, 0, 3, 1, 1, 70, 0, 0, 0, 0, 0, 0, 0, 1, 0, 4, 105, 116, 101, 109, 4, 
0, 1, 1, 70, 0, 7, 83, 80, 69, 67, 73, 65, 76, 0, 0, 0, 0, 1, 214, 0, 0, 0, 0, 0, 1, 248, 0, 0, 0, 0, 0, 0, 18, 75, 76, 95, 
69, 81, 85, 65, 76, 73, 84, 89, 95, 84, 69, 83, 84, 69, 82, 0, 0, 0, 0, 1, 246, 0, 0, 0, 0, 0, 1, 248, 0, 0, 0, 0, 0, 0, 
11, 68, 83, 95, 72, 65, 83, 72, 95, 83, 69, 84, 0, 0, 0, 0, 2, 16, 0, 0, 0, 0, 0, 1, 248, 0, 0, 0, 0, 16, 0, 15, 101, 113, 
117, 97, 108, 105, 116, 121, 95, 116, 101, 115, 116, 101, 114, 248, 0, 3, 1, 246, 255, 248, 0, 1, 0, 15, 105, 110, 116, 101, 
114, 110, 97, 108, 95, 99, 117, 114, 115, 111, 114, 248, 0, 3, 2, 30, 255, 248, 0, 1, 0, 12, 105, 116, 101, 109, 95, 115, 
116, 111, 114, 97, 103, 101, 248, 0, 3, 1, 214, 255, 248, 0, 1, 0, 7, 99, 108, 97, 115, 104, 101, 115, 248, 0, 2, 2, 53, 
1, 34, 0, 5, 115, 108, 111, 116, 115, 248, 0, 2, 2, 53, 1, 34, 0, 21, 115, 112, 101, 99, 105, 97, 108, 95, 105, 116, 101, 
109, 95, 114, 111, 117, 116, 105, 110, 101, 115, 248, 0, 3, 2, 18, 255, 248, 0, 1, 0, 13, 104, 97, 115, 104, 95, 102, 117, 
110, 99, 116, 105, 111, 110, 248, 0, 3, 2, 31, 255, 248, 0, 1, 0, 13, 108, 97, 115, 116, 95, 112, 111, 115, 105, 116, 105, 
111, 110, 16, 0, 1, 1, 34, 0, 7, 109, 111, 100, 117, 108, 117, 115, 16, 0, 1, 1, 34, 0, 9, 102, 114, 101, 101, 95, 115, 108, 
111, 116, 16, 0, 1, 1, 34, 0, 8, 112, 111, 115, 105, 116, 105, 111, 110, 16, 0, 1, 1, 34, 0, 14, 115, 108, 111, 116, 115, 
95, 112, 111, 115, 105, 116, 105, 111, 110, 16, 0, 1, 1, 34, 0, 25, 99, 108, 97, 115, 104, 101, 115, 95, 112, 114, 101, 118, 
105, 111, 117, 115, 95, 112, 111, 115, 105, 116, 105, 111, 110, 16, 0, 1, 1, 34, 0, 14, 102, 111, 117, 110, 100, 95, 112, 
111, 115, 105, 116, 105, 111, 110, 16, 0, 1, 1, 34, 0, 8, 99, 97, 112, 97, 99, 105, 116, 121, 16, 0, 1, 1, 34, 0, 5, 99, 
111, 117, 110, 116, 16, 0, 1, 1, 34, 0, 19, 75, 76, 95, 83, 80, 69, 67, 73, 65, 76, 95, 82, 79, 85, 84, 73, 78, 69, 83, 0, 
0, 0, 0, 2, 18, 0, 0, 0, 0, 0, 1, 248, 0, 0, 0, 0, 0, 0, 18, 68, 83, 95, 72, 65, 83, 72, 95, 83, 69, 84, 95, 67, 85, 82, 
83, 79, 82, 0, 0, 0, 0, 2, 30, 0, 0, 0, 0, 0, 1, 248, 0, 0, 0, 0, 3, 0, 11, 110, 101, 120, 116, 95, 99, 117, 114, 115, 111, 
114, 248, 0, 3, 2, 30, 255, 248, 0, 1, 0, 9, 99, 111, 110, 116, 97, 105, 110, 101, 114, 248, 0, 3, 2, 16, 255, 248, 0, 1, 
0, 8, 112, 111, 115, 105, 116, 105, 111, 110, 16, 0, 1, 1, 34, 0, 16, 75, 76, 95, 72, 65, 83, 72, 95, 70, 85, 78, 67, 84, 
73, 79, 78, 0, 0, 16, 0, 2, 31, 0, 0, 0, 0, 0, 1, 248, 0, 0, 0, 0, 0, 0, 7, 83, 80, 69, 67, 73, 65, 76, 0, 0, 0, 0, 2, 53, 
0, 0, 0, 0, 0, 1, 16, 0, 0, 0, 0, 0, 0, 0, 0, 29, 8, 240, 0, 0, 1, 0, 0, 0, 0, 0, 130, 1, 34, 0, 0, 0, 1, 0, 0, 0, 1, 8, 
240, 0, 0, 2, 0, 0, 0, 0, 0, 130, 1, 34, 0, 0, 0, 1, 0, 0, 0, 127, 8, 240, 0, 0, 3, 0, 0, 0, 0, 30, 32, 2, 30, 0, 0, 0, 2, 
0, 0, 2, 30, 0, 0, 1, 29, 0, 0, 0, 2, 8, 240, 0, 0, 4, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 8, 240, 0, 0, 5, 0, 0, 0, 0, 
30, 162, 1, 34, 0, 0, 0, 1, 255, 255, 255, 247, 8, 240, 0, 0, 6, 0, 0, 0, 0, 30, 162, 1, 70, 0, 0, 0, 1, 1, 8, 240, 0, 0, 
7, 0, 0, 0, 0, 73, 0, 1, 32, 0, 0, 0, 3, 0, 0, 255, 249, 0, 0, 0, 0, 0, 0, 1, 32, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 8, 240, 0, 
0, 8, 0, 0, 0, 0, 31, 176, 1, 214, 0, 0, 0, 2, 0, 0, 1, 214, 0, 0, 1, 29, 0, 0, 0, 7, 0, 0, 0, 7, 8, 0, 0, 0, 0, 0, 0, 0, 
0, 240, 0, 0, 5, 0, 0, 0, 0, 240, 0, 0, 6, 0, 0, 0, 0, 240, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 240, 0, 0, 9, 0, 0, 0, 0, 31, 32, 2, 53, 0, 0, 0, 2, 0, 0, 2, 53, 0, 0, 1, 34, 0, 0, 0, 
7, 0, 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 240, 0, 0, 10, 0, 0, 
0, 0, 31, 32, 2, 53, 0, 0, 0, 2, 0, 0, 2, 53, 0, 0, 1, 34, 0, 0, 0, 11, 0, 0, 0, 11, 0, 0, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 
0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 8, 240, 0, 0, 11, 0, 0, 0, 
0, 30, 32, 2, 18, 0, 0, 0, 2, 0, 0, 2, 18, 0, 0, 1, 29, 8, 240, 0, 0, 4, 0, 0, 0, 0, 30, 32, 2, 16, 0, 0, 0, 2, 0, 0, 2, 
16, 0, 0, 1, 29, 0, 0, 0, 3, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 
0, 3, 8, 0, 0, 0, 0, 0, 0, 0, 0, 8, 240, 0, 0, 11, 0, 0, 0, 0, 8, 240, 0, 0, 10, 0, 0, 0, 0, 8, 240, 0, 0, 9, 0, 0, 0, 0, 
8, 240, 0, 0, 8, 0, 0, 0, 0, 8, 240, 0, 0, 3, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 8, 240, 0, 0, 12, 0, 0, 0, 0, 0, 130, 
1, 34, 0, 0, 0, 1, 0, 0, 1, 54, 8, 240, 0, 0, 13, 0, 0, 0, 0, 0, 130, 1, 34, 0, 0, 0, 1, 0, 0, 0, 3, 8, 240, 0, 0, 14, 0, 
0, 0, 0, 0, 130, 1, 34, 0, 0, 0, 1, 0, 0, 0, 77, 8, 240, 0, 0, 15, 0, 0, 0, 0, 0, 130, 1, 34, 0, 0, 0, 1, 0, 0, 0, 10, 8, 
240, 0, 0, 16, 0, 0, 0, 0, 0, 130, 1, 34, 0, 0, 0, 1, 0, 0, 0, 17, 8, 240, 0, 0, 17, 0, 0, 0, 0, 0, 130, 1, 34, 0, 0, 0, 
1, 0, 0, 0, 0, 8, 240, 0, 0, 18, 0, 0, 0, 0, 0, 130, 1, 34, 0, 0, 0, 1, 0, 0, 0, 23, 8, 240, 0, 0, 19, 0, 0, 0, 0, 0, 130, 
1, 34, 0, 0, 0, 1, 0, 0, 0, 6, 8, 240, 0, 0, 20, 0, 0, 0, 0, 0, 130, 1, 34, 0, 0, 0, 1, 0, 0, 0, 61, 8, 240, 0, 0, 21, 0, 
0, 0, 0, 0, 130, 1, 34, 0, 0, 0, 1, 0, 0, 0, 2, 8, 240, 0, 0, 22, 0, 0, 0, 0, 0, 130, 1, 34, 0, 0, 0, 1, 0, 0, 0, 29, 8, 
240, 0, 0, 23, 0, 0, 0, 0, 0, 130, 1, 34, 0, 0, 0, 1, 255, 255, 255, 247, 8, 240, 0, 0, 24, 0, 0, 0, 0, 0, 130, 1, 34, 0, 
0, 0, 1, 0, 0, 0, 4, 8, 240, 0, 0, 25, 0, 0, 0, 0, 0, 130, 1, 70, 0, 0, 0, 1, 1, 8, 240, 0, 0, 26, 0, 0, 0, 0, 0, 130, 1, 
34, 0, 0, 0, 1, 0, 0, 0, 135, 8, 240, 0, 0, 27, 0, 0, 0, 0, 0, 130, 1, 34, 0, 0, 0, 1, 0, 0, 0, 1, 8, 240, 0, 0, 28, 0, 0, 
0, 0, 0, 130, 1, 34, 0, 0, 0, 1, 0, 0, 4, 157, 8, 240, 0, 0, 29, 0, 0, 0, 0, 1, 128, 1, 214, 0, 0, 0, 2, 0, 0, 1, 214, 0, 
0, 0, 0, 0, 0, 0, 22, 0, 0, 0, 22, 8, 240, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 240, 0, 0, 2, 0, 0, 0, 0, 240, 0, 
0, 4, 0, 0, 0, 0, 240, 0, 0, 12, 0, 0, 0, 0, 240, 0, 0, 13, 0, 0, 0, 0, 240, 0, 0, 14, 0, 0, 0, 0, 240, 0, 0, 15, 0, 0, 0, 
0, 240, 0, 0, 16, 0, 0, 0, 0, 240, 0, 0, 17, 0, 0, 0, 0, 240, 0, 0, 18, 0, 0, 0, 0, 240, 0, 0, 19, 0, 0, 0, 0, 240, 0, 0, 
20, 0, 0, 0, 0, 240, 0, 0, 21, 0, 0, 0, 0, 240, 0, 0, 22, 0, 0, 0, 0, 240, 0, 0, 23, 0, 0, 0, 0, 240, 0, 0, 24, 0, 0, 0, 
0, 240, 0, 0, 25, 0, 0, 0, 0, 240, 0, 0, 26, 0, 0, 0, 0, 240, 0, 0, 27, 0, 0, 0, 0, 240, 0, 0, 28, 0, 0, 0, 0, 240, 0, 0, 
7, 0, 0, 0, 0 
--</pre_serialization>
>>
        end
        
    post_serialization: ARRAY [NATURAL_8]
    		-- Serialized test case data after the transition.
    	do
    		if is_post_state_information_enabled then
    			Result := post_serialization_cache
    		else
    			create Result.make (1, 0)
    		end
		end

feature{NONE} -- Implementation

	post_serialization_cache: detachable like post_serialization
			-- Cache for `post_serialization'
			
	tci_operand_table_cache: detachable like tci_operand_table
			-- Cache for `tci_operand_table'

;note
  extra_information: 
"[
--<extra_information>
--<class_under_test>DS_HASH_SET</class_under_test>
--<feature_under_test>forth</feature_under_test>
--<code>v_127.forth</code>
--<operands_declaration>v_127: DS_HASH_SET [HASHABLE]$</operands_declaration>
--<variable_declaration>v_1: NONE$v_310: INTEGER_32$v_77: INTEGER_32$v_17: INTEGER_32$v_23: INTEGER_32$v_61: INTEGER_32$v_29: INTEGER_32$v_4: BOOLEAN$v_135: INTEGER_32$v_1181: TUPLE$</variable_declaration>
--<hash_code>969911348</hash_code>
--<pre_state>
v_127.capacity == 6
v_127.count == 3
v_127.last_position == 3
v_127.modulus == 10
v_127.free_slot == 0
v_127.position == 3
v_127.slots_position == 0
v_127.clashes_previous_position == 0
v_127.found_position == 0
v_127.is_empty == False
v_127.off == False
v_127.initialized == True
v_127.has_void == False
v_127.is_first == False
v_127.after == False
v_127.is_last == False
v_127.before == False
v_127.default_capacity == 10
v_127.is_full == False
v_127.found == False
--</pre_state>
--<post_state>

--</post_state>
--</extra_information>
]"
end